---
title: "Delete Address"
source_url: https://docs.rapyd.net/en/delete-address.html
lang: en
---

# Delete Address

Remove an address that is linked to a customer or is not linked to any object.

> **Note:**
>
> - The code samples include successful requests (200) and bad requests (400).
>
>   - For error messages that appear due to bad requests (400), see:
>
>     - [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")
>     - [Address Errors](https://docs.rapyd.net/en/address-errors.md "Address Errors")
>   - For information about unauthorized request (401) and other authentication errors, see [Troubleshooting Authentication and Authorization Errors](https://docs.rapyd.net/en/troubleshooting-authentication-and-authorization-errors.md "Troubleshooting Authentication and Authorization Errors").

### Parameters

### Request Path Parameters

- - address
  - ID of the `address` object. String starting with **address_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

None.

- /v1/addresses/:address

- Delete Address
- ```curl
  curl -X delete 'https://sandboxapi.rapyd.net/v1/addresses/address_12c6d08d0f2bb4c2e9195969bfe2439b' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "fa39dda8-372b-469f-aa2c-5583079f8720"
      },
      "data": {}
  }
  ```

- Bad Request - Address Cannot Be Deleted
- ```curl
  curl -X delete 'https://sandboxapi.rapyd.net/v1/addresses/address_12c6d08d0f2bb4c2e9195969bfe2439b' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_DELETE_ADDRESS",
          "status": "ERROR",
          "message": "The request tried to delete the address, but this operation failed. The request was rejected. Corrective action: None. Only an address that is linked to a customer or not linked to any object can be deleted.",
          "response_code": "ERROR_DELETE_ADDRESS",
          "operation_id": "05f6a6c2-b61f-4132-926c-8fec593d6e49"
      }
  }
  ```
